# Interface Logger

Interface for logging messages.

interface Logger {
level: LogLevel;
name: string;
debug(messageOrOptions: string | LogOptions, ...args: unknown[]): void;
error(messageOrOptions: string | LogOptions, ...args: unknown[]): void;
fatal(messageOrOptions: string | LogOptions, ...args: unknown[]): void;
info(messageOrOptions: string | LogOptions, ...args: unknown[]): void;
log(level: LogLevel, messageOrOptions: string | LogOptions, ...args: unknown[]): void;
trace(messageOrOptions: string | LogOptions, ...args: unknown[]): void;
warn(messageOrOptions: string | LogOptions, ...args: unknown[]): void;
}

#### Implemented by

- LoggerBase

#####
Index

### Properties

level
name

### Methods

debug
error
fatal
info
log
trace
warn

##
Properties

### level

level: LogLevel

The current log level of the logger. This acts as a filter for the logger's output. Only messages with a level equal or higher than this value will be written to the log.

### `Readonly` name

name: string

The unique name of the logger.

##
Methods

### debug

- debug(messageOrOptions, ...args): void

- Logs a message at level DEBUG.

  #### Parameters

  - messageOrOptions: string | LogOptions

    The message to log or the options.

  - `Rest`...args: unknown[]

    Arguments used for replacement tokens in the message.

  #### Returns void

### error

- error(messageOrOptions, ...args): void

- Logs a message at level ERROR.

  #### Parameters

  - messageOrOptions: string | LogOptions

    The message to log or the options.

  - `Rest`...args: unknown[]

    Arguments used for replacement tokens in the message.

  #### Returns void

### fatal

- fatal(messageOrOptions, ...args): void

- Logs a message at level FATAL.

  #### Parameters

  - messageOrOptions: string | LogOptions

    The message to log or the options.

  - `Rest`...args: unknown[]

    Arguments used for replacement tokens in the message.

  #### Returns void

### info

- info(messageOrOptions, ...args): void

- Logs a message at level INFO.

  #### Parameters

  - messageOrOptions: string | LogOptions

    The message to log or the options.

  - `Rest`...args: unknown[]

    Arguments used for replacement tokens in the message.

  #### Returns void

### log

- log(level, messageOrOptions, ...args): void

- Logs a message at the given level.

  #### Parameters

  - level: LogLevel

    The log level.

  - messageOrOptions: string | LogOptions

    The message to log or the options.

  - `Rest`...args: unknown[]

    Arguments used for replacement tokens in the message.

  #### Returns void

### trace

- trace(messageOrOptions, ...args): void

- Logs a message at level TRACE.

  #### Parameters

  - messageOrOptions: string | LogOptions

    The message to log or the options.

  - `Rest`...args: unknown[]

    Arguments used for replacement tokens in the message.

  #### Returns void

### warn

- warn(messageOrOptions, ...args): void

- Logs a message at level WARN.

  #### Parameters

  - messageOrOptions: string | LogOptions

    The message to log or the options.

  - `Rest`...args: unknown[]

    Arguments used for replacement tokens in the message.

  #### Returns void